Name:		 minidlna
Version:	 1.1.0
Release:	 %mkrel 1.tainted
Summary:	 A DLNA/UPnP-AV compliant media server
URL:		 http://sourceforge.net/projects/minidlna/
Group:		 Networking/Other
License:	 GPLv2
Source0:	 http://downloads.sourceforge.net/project/minidlna/%{name}/%{version}/%{name}-%{version}.tar.gz
Source2:	 %{name}-tmpfiles.conf
Source3:	 %{name}.1
Source4:	 %{name}.conf.5
Source5:	 %{name}.service

BuildRequires:	 pkgconfig(flac)
BuildRequires:	 libid3tag-devel
BuildRequires:	 libexif-devel
BuildRequires:	 libjpeg-devel
BuildRequires:	 pkgconfig(sqlite3)
BuildRequires:	 ffmpeg-devel
BuildRequires:	 pkgconfig(vorbis)
BuildRequires:	 systemd-units

Requires(post):	 rpm-helper
Requires(preun): rpm-helper

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim of being fully
compliant with DLNA/UPnP-AV clients. MiniDLNA serves multimedia content
such as music, video and pictures to compatible clients on the network.

See http://www.upnp.org/ for more details on UPnP
and http://www.dlna.org/ for mode details on DLNA.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service
install -D -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 %{SOURCE4} %{buildroot}%{_mandir}/man5/%{name}.conf.5

mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/tmpfiles.d/%{name}.conf

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc README
%{_sbindir}/%{name}*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Sun Aug 11 2013 david.david (MLO Team) <david.david> 1.1.0-1.tainted.mga3
+ new version: 1.1.0

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 1.0.25-3.tainted.mga3
+ Revision: 3
- correcting "spec" file

* Thu Apr 11 2013 david.david (MLO Team) <david.david> 1.0.25-2.tainted.mga3
+ Rebuild package for Mageia 3 (Tainted)

* Thu Apr 11 2013 david.david (MLO Team) <david.david> 1.0.25-1.tainted.mga2
+ Import package for Mageia 2
- clean "spec" file

* Mon Jul 16 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.25-1
+ Revision: 809579
- update to new version 1.0.25
- rebuild for new ffmpeg
- spec file clean

* Mon Feb 27 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.24-2
+ Revision: 780959
- use upstream config file
- update to new version 1.0.24

* Sun Feb 05 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.23-2
+ Revision: 771266
- update to new version 1.0.23

  + Claudio Matsuoka <claudio@mandriva.com>
    - address rpmlint errors
    - make spec buildable in 2011 with undefined %%{_unitdir}

* Sat Jan 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.22-4
+ Revision: 758635
- obey %%optflags
- switch to verbose mode while compiling
- provide minidlna.service
- spec file clean

* Wed Dec 21 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.22-3
+ Revision: 744182
- revert use os setup_compile_flags
- make use of %%serverbuild_hardened
- use %%setup_compile_flags

* Sat Sep 17 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.22-1
+ Revision: 700180
- new upstream release 1.0.22
  * includes fixes for TiVo, Marantz receivers, Roku SoundBridge and
    Samsung series B and D TVs.

* Mon Jul 04 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.20-1
+ Revision: 688671
- new upstream release 1.0.20
  * Fix a crash bug when scanning MPEG-TS files with odd packet sizes
  * Fix AVI file streaming on Samsung A-Series TV's
  * Improve support for the NETGEAR Digital Entertainer Live (EVA2000)
  * Add support for multiple network interfaces
  * Add subtitle support for LG TV's and Blu-Ray players
  * Fix some minor coding issues found by cppcheck
  * Add client adaptation support for Toshiba Regza TV's
  * Send known audio-only devices straight to the Music section on root request
  * Add client adaptation support for Roku SoundBridge audio clients
  * Improve Sony client adaptation to allow support for more file types
  * Add support for reading tags from MP4 video files with recent lavf versions
  * Add support for Samsung's GetFeatureList method

* Wed Jan 26 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-3
+ Revision: 633000
- send to release repository

* Sun Jan 23 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-2
+ Revision: 632427
- apply upstream patch to specify log directory
- set configuration file as noreplace
- add manual pages written by Beno?\195?\174t Knecht for Debian

* Sat Jan 22 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-1
+ Revision: 632299
- imported package minidlna